<template>
  <div class="flex flex-col w-full max-w-screen-lg mx-auto">
    <button @click="table = !table">Switch</button>
    <div
      v-if="!table"
      class="
        flex
        justify-between
        w-full
        max-w-screen-lg
        mx-auto
        mt-20
        border border-gray-100
        rounded-lg
      "
    >
      <DraggableBoard
        v-for="status in statusList"
        :key="status"
        :status="status"
        :list="filteredProjects(status)"
        class="odd:bg-gray-50"
      />
    </div>
    <DraggableList
      v-else
      :list="flatArrayOfProjects()"
      :statuses="statusList"
      class="mt-20 border border-gray-100 rounded-lg"
    />
  </div>
</template>

<script>
import DraggableBoard from '@/components/DraggableBoard';
import DraggableList from '@/components/DraggableList';

import mockProjects from '@/mockdata/projects';

export default {
  name: 'App',

  components: {
    DraggableBoard,
    DraggableList,
  },

  data() {
    return {
      table: false,
      projects: mockProjects,
      statusList: ['backlog', 'to do', 'in progress', 'done'],
    };
  },

  methods: {
    filteredProjects(status) {
      return this.projects[status] ?? [];
    },

    flatArrayOfProjects() {
      return Object.values(this.projects).flat();
    },
  },
};
</script>
